Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class StandardPropsViewPanel.JavaPosPropertyCellEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--jpos.config.simple.editor.StandardPropsViewPanel.JavaPosPropertyCellEditor

All Implemented Interfaces:
  javax.swing.CellEditor, java.io.Serializable, javax.swing.table.TableCellEditor

Enclosing class:
  StandardPropsViewPanel

class StandardPropsViewPanel.JavaPosPropertyCellEditor
extends javax.swing.AbstractCellEditor
implements javax.swing.table.TableCellEditor

A cell editor for JavaPos Property

Since:
  1.3 (Washington DC 2001 meeting)
Author:
  S. Hanai
See Also:
  Serialized Form

Field Summary
`protected javax.swing.JComboBox` | `editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`StandardPropsViewPanel.JavaPosPropertyCellEditor()` ctor

Method Summary
`java.lang.Object` | `getCellEditorValue()`
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)` Gets component for editor

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Field Detail

### editorComponent

    protected javax.swing.JComboBox editorComponent

Constructor Detail

### StandardPropsViewPanel.JavaPosPropertyCellEditor

    public StandardPropsViewPanel.JavaPosPropertyCellEditor()

  ctor

Method Detail

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Overrides:
    `getCellEditorValue` in class `javax.swing.AbstractCellEditor`
  Returns:
    value

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Gets component for editor
  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
  Parameters:
    `table` - Table object
    `value` - Current value
    `isSelected` - True if being selected
    `row` - Row index
    `column` - Column index
  Returns:
    component for editor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details